erlang-nox_19.2.1+dfsg-2+deb9u2_all.deb


Advertisement

Description

erlang-nox - Erlang/OTP applications that don't require X Window System

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename erlang-nox_19.2.1+dfsg-2+deb9u2_all.deb
Package name erlang-nox
Package version 19.2.1+dfsg
Package release 2+deb9u2
Package architecture all
Package type deb
Category devel::TODO devel::interpreter interpreters role::dummy
Homepage http://www.erlang.org/
License -
Maintainer Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Download size 34.75 KB
Installed size 47.00 KB
This package is a dummy package which will install all Erlang/OTP
applications which do not require X Window System to run.

Alternatives

Package Version Architecture Repository
erlang-nox_19.2.1+dfsg-2+deb9u2_all.deb 19.2.1+dfsg all Debian Main
erlang-nox - - -

Requires

Name Value
erlang-asn1 -
erlang-base -
erlang-base-hipe -
erlang-corba -
erlang-crypto -
erlang-diameter -
erlang-edoc -
erlang-eldap -
erlang-erl-docgen -
erlang-eunit -
erlang-ic -
erlang-inets -
erlang-mnesia -
erlang-odbc -
erlang-os-mon -
erlang-parsetools -
erlang-percept -
erlang-public-key -
erlang-runtime-tools -
erlang-snmp -
erlang-ssh -
erlang-ssl -
erlang-syntax-tools -
erlang-tools -
erlang-xmerl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package erlang-nox_19.2.1+dfsg-2+deb9u2_all.deb
Source Package erlang

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install erlang-nox deb package:
    # sudo apt-get install erlang-nox

Files

Path
/usr/share/doc/erlang-nox/AUTHORS.gz
/usr/share/doc/erlang-nox/README.Debian.gz
/usr/share/doc/erlang-nox/TODO.Debian
/usr/share/doc/erlang-nox/changelog.Debian.gz
/usr/share/doc/erlang-nox/copyright

Changelog

2019-02-08 - Andreas Beckmann <anbe@debian.org>
erlang (1:19.2.1+dfsg-2+deb9u2) stretch; urgency=medium
[ Andreas Beckmann ]
* Non-maintainer upload.
* Backport removal of xemacs21 support from 1:21.2+dfsg-2.
[ Sergei Golovan ]
* Do not install Erlang mode for XEmacs since it isn't supposed to work
with it (closes: #909387).
2017-03-22 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.2.1+dfsg-2+deb9u1) stretch-security; urgency=high
* Applied a patch from the upstream which fixes CVE-2017-1000385
vulnerability (TLS server vunlerable to Adaptive Chosen Ciphertext attack
allowing plaintext recovery ot MITM attack).
2017-03-22 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.2.1+dfsg-2) unstable; urgency=high
* Applied a patch from the PCRE upstream which fixes CVE-2016-10253
vulnerability (heap overflow while compiling certain regular expressions).
The patch is taken from https://github.com/erlang/otp/pull/1108 and
modified to match the original patch by PCRE developers (closes: #858313).
2017-01-16 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.2.1+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.
2016-12-14 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.2+dfsg-1) unstable; urgency=medium
* New upstream release.
* Refreshed patches.
* Removed the patch which fixed HiPE build with PIE enabled by default in
the GCC C compiler, because it's been applied upstream.
2016-11-19 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.1.6+dfsg-2) unstable; urgency=medium
* Use the solution from upstream to build HiPE if GCC enables PIE by default.
The previous one breaks erlang-wx (closes: #844593).
2016-11-11 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.1.6+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.
2016-11-07 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.1.5+dfsg-2) unstable; urgency=medium
* Temporarily switched to libssl1.0-dev until porting to OpensSSL 1.1 is
complete.
* Added -fno-pie -no-pie GCC flags to make sure the HiPE build works
(closes: #842998).
* Enabled verbose build logs to make them more useful in debugging.
2016-10-21 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.1.5+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.
2016-10-15 - Sergei Golovan <sgolovan@debian.org>
erlang (1:19.1.4+dfsg-1) unstable; urgency=medium
* New upstream bugfix release.

See Also

Package Description
erlang-observer_19.2.1+dfsg-2+deb9u2_i386.deb Erlang/OTP application for investigating distributed systems
erlang-odbc_19.2.1+dfsg-2+deb9u2_i386.deb Erlang/OTP interface to SQL databases
erlang-os-mon_19.2.1+dfsg-2+deb9u2_i386.deb Erlang/OTP operating system monitor
erlang-p1-cache-tab_1.0.4-2_i386.deb in-memory cache application for Erlang / Elixir apps
erlang-p1-iconv_1.0.2-2_i386.deb fast encoding conversion library for Erlang / Elixir
erlang-p1-mysql_1.0.1-4_i386.deb pure Erlang MySQL driver
erlang-p1-oauth2_0.6.1-3_i386.deb Erlang library for server side implementation of OAuth2
erlang-p1-pam_1.0.0-5_i386.deb pam authentication and accounting management for Erlang
erlang-p1-pgsql_1.1.0-4_i386.deb Pure Erlang PostgreSQL driver
erlang-p1-sip_1.0.8-2_i386.deb SIP library for Erlang
erlang-p1-sqlite3_1.1.5~dfsg0-3_i386.deb SQLite3 wrapper for Erlang applications
erlang-p1-stringprep_1.0.6-2_i386.deb erlang interface to stringprep
erlang-p1-stun_1.0.7-2_i386.deb STUN library for Erlang
erlang-p1-tls_1.0.7-2+deb9u1_i386.deb native TLS / SSL driver for Erlang / Elixir
erlang-p1-utils_1.0.5-3_i386.deb set of small Erlang libraries
Advertisement
Advertisement